opensesh docs

Get the evaluation workspace

GET
/events/{eventId}/evaluation

Every review round with criteria, reviewers, assignments, progress, and results.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/events/string/evaluation"
{  "eventId": "string",  "aiConfigured": true,  "tracks": [    {      "id": "string",      "name": "string",      "color": "string"    }  ],  "rounds": [    {      "configuration": {        "round": {          "id": "string",          "createdAt": "string",          "updatedAt": "string",          "eventId": "string",          "name": "string",          "opensAt": "string",          "closesAt": "string",          "blind": true,          "reviewsPerSubmission": 1,          "position": 0,          "status": "draft"        },        "criteria": [          {            "id": "string",            "createdAt": "string",            "updatedAt": "string",            "roundId": "string",            "label": "string",            "type": "numeric",            "min": 0,            "max": 0,            "options": [              "string"            ],            "required": true,            "weight": 0,            "position": 0          }        ],        "members": [          {            "id": "string",            "createdAt": "string",            "updatedAt": "string",            "roundId": "string",            "eventMemberId": "string",            "assignmentCap": 0          }        ]      },      "reviewers": [        {          "member": {            "id": "string",            "createdAt": "string",            "updatedAt": "string",            "roundId": "string",            "eventMemberId": "string",            "assignmentCap": 0          },          "name": "string",          "email": "string"        }      ],      "assignments": [        {          "id": "string",          "createdAt": "string",          "updatedAt": "string",          "roundId": "string",          "submissionId": "string",          "eventMemberId": "string",          "status": "pending",          "assignedAt": "string",          "completedAt": "string",          "recusedAt": "string",          "recusalReason": "string"        }      ],      "submissions": [        {          "id": "string",          "code": "string",          "title": "string",          "description": "string",          "status": "draft",          "submittedAt": "string",          "trackIds": [            "string"          ],          "trackNames": [            "string"          ],          "participants": [            {              "name": "string",              "role": "string",              "contactId": "string",              "headshotUrl": "string"            }          ]        }      ],      "progress": [        {          "eventMemberId": "string",          "name": "string",          "email": "string",          "assigned": 0,          "completed": 0,          "recused": 0,          "remaining": 0,          "percentage": 0        }      ],      "results": [        {          "submission": {            "id": "string",            "code": "string",            "title": "string",            "description": "string",            "status": "draft",            "submittedAt": "string",            "trackIds": [              "string"            ],            "trackNames": [              "string"            ],            "participants": [              {                "name": "string",                "role": "string",                "contactId": "string",                "headshotUrl": "string"              }            ]          },          "humanReviews": [            {              "assignment": {                "id": "string",                "createdAt": "string",                "updatedAt": "string",                "roundId": "string",                "submissionId": "string",                "eventMemberId": "string",                "status": "pending",                "assignedAt": "string",                "completedAt": "string",                "recusedAt": "string",                "recusalReason": "string"              },              "reviewerName": "string",              "reviewerEmail": "string",              "answers": [                {                  "criterionId": "string",                  "label": "string",                  "type": "numeric",                  "numericValue": 0,                  "textValue": "string",                  "optionValue": "string"                }              ]            }          ],          "reviewerCount": 0,          "completedCount": 0,          "weightedAggregate": 0,          "recommendation": "string",          "aiResult": {            "id": "string",            "createdAt": "string",            "updatedAt": "string",            "roundId": "string",            "submissionId": "string",            "score": 0,            "reasoning": "string",            "provider": "string",            "model": "string",            "overriddenScore": 0,            "overrideReason": "string",            "overriddenByUserId": "string",            "overriddenByApiKeyId": "string",            "overriddenAt": "string"          },          "aiOverriddenByName": "string"        }      ]    }  ]}